---
updatedAt: 2025-09-16T11:17:21.000Z
agentTools:
  projectIndex: https://docs.super.ai/llms.txt
---

# Delete multiple jobs

Use this endpoint to delete multiple jobs at once.

> 🚧 Searching inputs and outputs
>
> The `inputPath`, `inputMatchType`, and `inputValue` parameters must be used in conjunction in order to search your input JSON data. Likewise, you need to specify `responsePath`, `responseMatchType`, and `responseValue` to search your output data.

# Delete jobs by data name

To delete jobs based on values in your input JSON, use inputPath, inputMatchType, and inputValue with the delete\_jobs API endpoint.

## Example Request

<br />

```curl
curl --request DELETE '<https://api.super.ai/v1/apps/{APP_UUID}/delete_jobs?inputPath=%7BdocumentUrl%7D&inputValue={INPUT_SUBSTRING}&inputMatchType=CONTAINS'>  
--header 'accept: application/json'  
--header 'API-KEY: {API_KEY}'
```

Notice `%7BdocumentUrl%7` which is the encoded version of `{documentUrl}`.

Replace:

* `{APP_UUID}` with your app’s UUID.
* `{INPUT_SUBSTRING}` with the substring you want to match in the document URL.
* `{API_KEY}` with your API key.

> ❗️ Note: inputMatchType=CONTAINS may match multiple jobs if similar substrings exist across different records.

## Example JSON Structure

The request searches within this structure if `inputPath={documentUrl}`:

```json
{  
  "documentUrl": "data://1234/random_folder/random_doc-123456.pdf"  
}
```

Use `IS` in inputMatchType to target an exact match if needed.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "superai-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.super.ai"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "API-KEY"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/apps/{app_id}/delete_jobs": {
      "delete": {
        "summary": "Delete multiple jobs",
        "description": "Use this endpoint to delete multiple jobs at once.",
        "operationId": "delete-multiple-jobs",
        "parameters": [
          {
            "name": "app_id",
            "in": "path",
            "description": "The universal unique identifier (UUID) of the project from which you want to delete the jobs. You can find this in the super.AI dashboard URL of your project.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "createdStartDate",
            "in": "query",
            "description": "UTC timestamp of the earliest job start date for deletion",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "createdEndDate",
            "in": "query",
            "description": "UTC timestamp of the latest job start date for deletion",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "completedStartDate",
            "in": "query",
            "description": "UTC timestamp of the earliest job completion date for deletion",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "completedEndDate",
            "in": "query",
            "description": "UTC timestamp of the latest job completion date for inclusion in results",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "tags",
            "in": "query",
            "description": "Filter by tags, which are manually set text tags that allow you to label and group your data points for later reference",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "statusIn",
            "in": "query",
            "description": "Filter by current job status. Available options: `SCHEDULED`, `IN_PROGRESS`, `FAILED`, `SUSPENDED`, `CANCELED`, `EXPIRED`, `COMPLETED`.",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "correct",
            "in": "query",
            "description": "Filter jobs by whether an output has been marked as correct or not by a reviewer. Available options: `true`, `false`, and `null`. `null` means the job output has not yet been reviewed.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "reviewed",
            "in": "query",
            "description": "Filter by whether the job output has been reviewed. Available options: `CORRECT`, `NOT CORRECT`, and `REVIEWED`.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "batchId",
            "in": "query",
            "description": "Filter by job batch, i.e., jobs created with a single request",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "idSearch",
            "in": "query",
            "description": "Filter by a specific ID. This searches job IDs, job UUIDs, and metadata IDs.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "idGreaterThan",
            "in": "query",
            "description": "Filter by the lowest job ID number",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "idLessThan",
            "in": "query",
            "description": "Filter by the highest job ID number",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "inputPath",
            "in": "query",
            "description": "The path within the input JSON that you want to search. Use `{}` for root; use the format `{a.b.0}` to specify a path within the JSON (where `0` is the index number if the input features an array). E.g., if you want to search an input key named `vendor` that is nested within a `product` key, specify it using the format `{product.vendor}`. Must be used together with `inputMatchType` and `inputValue`.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "inputMatchType",
            "in": "query",
            "description": "The type of search you want to conduct. Possible values: `IS`, `CONTAINS`, `IS_NOT`, `CONTAINS_NOT`, `IS_NOT_EMPTY`. Must be used together with `inputPath` and `inputValue`.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "inputValue",
            "in": "query",
            "description": "The search term that you are looking for within your input. Must be used together with `inputPath` and `inputMatchType`.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "responsePath",
            "in": "query",
            "description": "The path within the output JSON that you want to search. Use `{}` for root; use the format `{a.b.0}` to specify a path within the JSON (where `0` is the index number if the output features an array). E.g., if you want to search all output values, you can specify this using the format `{label.selection.value}`. Must be used together with `responseMatchType` and `responseValue`.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "responseMatchType",
            "in": "query",
            "description": "The type of search you want to conduct. Possible values: `IS`, `CONTAINS`, `IS_NOT`, `CONTAINS_NOT`, `IS_NOT_EMPTY`. Must be used together with `responsePath` and `responseValue`.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "responseValue",
            "in": "query",
            "description": "The search term that you are looking for within your output. Must be used together with `responsePath` and `responseMatchType`.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\"deleted\": 8, \"errorInProgressIds\": []}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "deleted": {
                      "type": "integer",
                      "example": 8,
                      "default": 0
                    },
                    "errorInProgressIds": {
                      "type": "array"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl \"https://api.super.ai/v1/apps/123abc45-6789-01de-f2g3-45h67ijk8901/delete_jobs?statusIn=CANCELED\" \\\n-X DELETE \\\n-H \"API-KEY: live_1Ab23cdEFGH4iJ5K67Lmnop8qR10STulWX_2y3Za4_B\""
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```